Package docking.action

# Class ToggleDockingAction

java.lang.Object
docking.action.DockingAction
docking.action.ToggleDockingAction

All Implemented Interfaces:
  `DockingActionIf`, `ToggleDockingActionIf`, `HelpDescriptor`

Direct Known Subclasses:
  `AbstractSelectionNavigationAction`, `ProjectDataContextToggleAction`

public abstract class ToggleDockingAction extends DockingAction implements ToggleDockingActionIf

- ## Field Summary

  ### Fields inherited from interface docking.action.DockingActionIf

  `DESCRIPTION_PROPERTY, ENABLEMENT_PROPERTY, GLOBALCONTEXT_PROPERTY, KEYBINDING_DATA_PROPERTY, MENUBAR_DATA_PROPERTY, POPUP_MENU_DATA_PROPERTY, TOOLBAR_DATA_PROPERTY`

  ### Fields inherited from interface docking.action.ToggleDockingActionIf

  `SELECTED_STATE_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToggleDockingAction(String name, String owner)`
  `ToggleDockingAction(String name, String owner, boolean supportsKeyBindings)`
  `ToggleDockingAction(String name, String owner, KeyBindingType keyBindingType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionContext context)`
  method to actually perform the action logic for this action.
  `protected JButton`
  `doCreateButton()`
  `protected JMenuItem`
  `doCreateMenuItem()`
  `boolean`
  `isSelected()`
  Returns true if the toggle state for this action is current selected.
  `void`
  `setSelected(boolean newValue)`
  Sets the toggle state for this action.

  ### Methods inherited from class docking.action.DockingAction

  `addPropertyChangeListener, addToWindowWhen, createButton, createMenuItem, dispose, enabledWhen, firePropertyChanged, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getHelpInfo, getHelpLocation, getHelpObject, getInceptionFromTheFirstClassThatIsNotUsOrABuilder, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getPopupMenuData, getPreferredKeyBindingType, getToolBarData, isAddToPopup, isEnabled, isEnabledForContext, isValidContext, markHelpUnnecessary, popupWhen, removePropertyChangeListener, setAddToAllWindows, setContextClass, setDefaultKeyBindingData, setDescription, setEnabled, setHelpLocation, setKeyBindingData, setMenuBarData, setPopupMenuData, setToolBarData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext, toString, validContextWhen`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.action.DockingActionIf

  `addPropertyChangeListener, createButton, createMenuComponent, createMenuItem, dispose, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getOwnerDescription, getPopupMenuData, getToolBarData, isAddToPopup, isEnabled, isEnabledForContext, isValidContext, removePropertyChangeListener, setContextClass, setEnabled, setKeyBindingData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext`

  ### Methods inherited from interface help.HelpDescriptor

  `getHelpInfo, getHelpObject`

- ## Constructor Details

  - ### ToggleDockingAction

    public ToggleDockingAction(String name, String owner)

  - ### ToggleDockingAction

    public ToggleDockingAction(String name, String owner, KeyBindingType keyBindingType)

  - ### ToggleDockingAction

    public ToggleDockingAction(String name, String owner, boolean supportsKeyBindings)

- ## Method Details

  - ### isSelected

    public boolean isSelected()
    Description copied from interface: `ToggleDockingActionIf`
    Returns true if the toggle state for this action is current selected.
    Specified by:
      `isSelected` in interface `ToggleDockingActionIf`
    Returns:
      true if the toggle state for this action is current selected.

  - ### setSelected

    public void setSelected(boolean newValue)
    Description copied from interface: `ToggleDockingActionIf`
    Sets the toggle state for this action.
    Specified by:
      `setSelected` in interface `ToggleDockingActionIf`
    Parameters:
      `newValue` - the new toggle state.

  - ### doCreateButton

    protected JButton doCreateButton()
    Overrides:
      `doCreateButton` in class `DockingAction`

  - ### doCreateMenuItem

    protected JMenuItem doCreateMenuItem()
    Overrides:
      `doCreateMenuItem` in class `DockingAction`

  - ### actionPerformed

    public void actionPerformed(ActionContext context)
    Description copied from interface: `DockingActionIf`
    method to actually perform the action logic for this action.
    Specified by:
      `actionPerformed` in interface `DockingActionIf`
    Specified by:
      `actionPerformed` in class `DockingAction`
    Parameters:
      `context` - the `ActionContext` object that provides information about where and how this action was invoked.